## com.arsdigita.bookmarks.ui
Class BookmarkPortlet

    java.lang.Object
      com.arsdigita.domain.DomainObject
          com.arsdigita.domain.ObservableDomainObject
              com.arsdigita.kernel.ACSObject
                  com.arsdigita.kernel.Resource
                      com.arsdigita.portal.Portlet
                          com.arsdigita.portal.apportlet.AppPortlet
                              com.arsdigita.bookmarks.ui.BookmarkPortlet

public class BookmarkPortlet
extends com.arsdigita.portal.apportlet.AppPortlet

Field Summary
`static String` `BASE_DATA_OBJECT_TYPE`
`static String` `versionId`

Fields inherited from class com.arsdigita.kernel.Resource
`CHILD_RESOURCE, DESCRIPTION, PARENT_RESOURCE, RESOURCE_TYPE, TIMESTAMP, TITLE`

Fields inherited from class com.arsdigita.kernel.ACSObject
`CONTAINER, DEFAULT_DOMAIN_CLASS, DISPLAY_NAME, ID, OBJECT_TYPE`

Constructor Summary
`BookmarkPortlet(com.arsdigita.persistence.DataObject dataObject)`

Method Summary
`protected com.arsdigita.bebop.portal.AbstractPortletRenderer` `doGetPortletRenderer()`
`protected String` `getBaseDataObjectType()`
`String` `getZoomURL()`

Methods inherited from class com.arsdigita.portal.apportlet.AppPortlet
`getAppPortletType, getParentApplication, getPortletRenderer, setParentApplication`

Methods inherited from class com.arsdigita.portal.Portlet
`afterSave, beforeSave, createPortlet, createPortlet, getCellNumber, getContainer, getPortal, getPortletType, getProfile, getSortKey, isContainerModified, newExpirationDate, retrievePortlet, retrievePortlet, retrievePortlet, setCellNumber, setPortal, setPortletType, setSortKey`

Methods inherited from class com.arsdigita.kernel.Resource
`createResource, createResource, getChildResources, getContainingResource, getDescription, getDisplayName, getParentResource, getResourceType, getTimestamp, getTitle, retrieveAllResources, retrieveResource, retrieveResource, retrieveResource, setDescription, setParentResource, setResourceType, setTitle`

Methods inherited from class com.arsdigita.kernel.ACSObject
`assertPrivilege, checkPrivilege, doCreateCheck, doWriteCheck, getDefaultDomainClass, getID, getSpecificObjectType, getSpecificOID, gimmeContainer, initialize, setID, setID`

Methods inherited from class com.arsdigita.domain.ObservableDomainObject
`addObserver, getObservers`

Methods inherited from class com.arsdigita.domain.DomainObject
`add, add, addToAssociation, afterDelete, beforeDelete, clear, delete, disconnect, equals, get, getObjectType, getOID, getSession, hashCode, isDeleted, isDisconnected, isModified, isNew, isPropertyModified, isValid, remove, remove, remove, removeFromAssociation, save, set, setAssociation, setAssociation, specializeDataObject, specializeDataObject, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### versionId

    public static final String versionId

See Also:
  Constant Field Values

### BASE_DATA_OBJECT_TYPE

    public static final String BASE_DATA_OBJECT_TYPE

See Also:
  Constant Field Values

Constructor Detail

### BookmarkPortlet

    public BookmarkPortlet(com.arsdigita.persistence.DataObject dataObject)

Method Detail

### getBaseDataObjectType

    protected String getBaseDataObjectType()

### getZoomURL

    public String getZoomURL()

### doGetPortletRenderer

    protected com.arsdigita.bebop.portal.AbstractPortletRenderer doGetPortletRenderer()

Copyright (c) 2006 Red Hat, Inc. Corporation. All Rights Reserved. Generated at June 1 2006:1057 UTC